<?php
class ControllerModuleWPCumulus extends Controller {
	private $error = array();
	public function index() {
		$this->load->language('module/wpcumulus');
		$this->document->title = $this->language->get('heading_title');
		$this->load->model('setting/setting');
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
			$this->model_setting_setting->editSetting('wpcumulus', $this->request->post);
			$this->session->data['success'] = $this->language->get('text_success');
			$this->redirect((HTTPS_SERVER . 'index.php?route=extension/module'));
		}
		$this->data['heading_title'] = $this->language->get('heading_title');
		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		$this->data['text_left'] = $this->language->get('text_left');
		$this->data['text_right'] = $this->language->get('text_right');
		$this->data['entry_speed'] = $this->language->get('entry_speed');
		$this->data['entry_limit'] = $this->language->get('entry_limit');
		$this->data['entry_position'] = $this->language->get('entry_position');
		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_sort_order'] = $this->language->get('entry_sort_order');
  		$this->data['entry_credit'] = $this->language->get('entry_credit');
		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');
		$this->data['tab_general'] = $this->language->get('tab_general');
		if (isset($this->error['warning']))
		{
			$this->data['error_warning'] = $this->error['warning'];
		}
		else
		{
			$this->data['error_warning'] = '';
		}
		if (isset($this->error['error_sort_order']))
		{
			$this->data['error_sort_order'] = $this->error['error_sort_order'];
		}
		else
		{
			$this->data['error_sort_order'] = '';
		}
		if (isset($this->error['error_speed']))
		{
			$this->data['error_speed'] = $this->error['error_speed'];
		}
		else
		{
			$this->data['error_speed'] = '';
		}
		if (isset($this->error['error_limit']))
		{
			$this->data['error_limit'] = $this->error['error_limit'];
		}
		else
		{
			$this->data['error_limit'] = '';
		}
  		$this->document->breadcrumbs = array();
   		$this->document->breadcrumbs[] = array(
       		'href'      => (HTTPS_SERVER . 'index.php?route=common/home'),
       		'text'      => $this->language->get('text_home'),
      		'separator' => FALSE
   		);
   		$this->document->breadcrumbs[] = array(
       		'href'      => (HTTPS_SERVER . 'index.php?route=extension/module'),
       		'text'      => $this->language->get('text_module'),
      		'separator' => ' :: '
   		);
   		$this->document->breadcrumbs[] = array(
       		'href'      => (HTTPS_SERVER . 'index.php?route=module/wpcumulus'),
       		'text'      => $this->language->get('heading_title'),
      		'separator' => ' :: '
   		);
		$this->data['action'] = (HTTPS_SERVER . 'index.php?route=module/wpcumulus');
		$this->data['cancel'] = (HTTPS_SERVER . 'index.php?route=extension/module');
		if (isset($this->request->post['wpcumulus_speed'])) {
			$this->data['wpcumulus_speed'] = $this->request->post['wpcumulus_speed'];
		} else {
			$this->data['wpcumulus_speed'] = $this->config->get('wpcumulus_speed');
		}
		if (isset($this->request->post['wpcumulus_limit'])) {
			$this->data['wpcumulus_limit'] = $this->request->post['wpcumulus_limit'];
		} else {
			$this->data['wpcumulus_limit'] = $this->config->get('wpcumulus_limit');
		}
		if (isset($this->request->post['wpcumulus_position'])) {
			$this->data['wpcumulus_position'] = $this->request->post['wpcumulus_position'];
		} else {
			$this->data['wpcumulus_position'] = $this->config->get('wpcumulus_position');
		}
		if (isset($this->request->post['wpcumulus_status'])) {
			$this->data['wpcumulus_status'] = $this->request->post['wpcumulus_status'];
		} else {
			$this->data['wpcumulus_status'] = $this->config->get('wpcumulus_status');
		}
		if (isset($this->request->post['wpcumulus_sort_order'])) {
			$this->data['wpcumulus_sort_order'] = $this->request->post['wpcumulus_sort_order'];
		} else {
			$this->data['wpcumulus_sort_order'] = $this->config->get('wpcumulus_sort_order');
		}
		$this->id       = 'wpcumulus';
		$this->template = 'module/wpcumulus.tpl';
		$this->children = array(
			'common/header',	
			'common/footer'	
		);
		$this->response->setOutput($this->render(TRUE), $this->config->get('config_compression'));
 		$this->render();
	}
	private function validate() {
		if (!$this->user->hasPermission('modify', 'module/wpcumulus')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
		if (!$this->request->post['wpcumulus_sort_order']) {
			$this->error['sort_order'] = $this->language->get('error_sort_order');
		}
		if (!$this->request->post['wpcumulus_speed']) {
			$this->error['error_speed'] = $this->language->get('error_speed');
		}		
		if (!$this->request->post['wpcumulus_limit']) {
			$this->error['error_limit'] = $this->language->get('error_limit');
		}
		if (!$this->error) {
			return TRUE;
		} else {
			return FALSE;
		}
	}
}
?>